Debian Bug report logs - #394484
singularity: Fails to run, claiming no audio

Package: python-pygame; Maintainer for python-pygame is Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>; Source for python-pygame is src:pygame.

Reported by: Jerry Quinn <jlquinn@optonline.net>

Date: Sat, 21 Oct 2006 15:03:06 UTC

Severity: important

Tags: moreinfo

Merged with 426984, 431833, 434331, 537663

Done: A Mennucc <mennucc1@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Kari Pahula <kaol@debian.org>:
Bug#394484; Package singularity. Full text and rfc822 format available.

Acknowledgement sent to Jerry Quinn <jlquinn@optonline.net>:
New Bug report received and forwarded. Copy sent to Kari Pahula <kaol@debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Jerry Quinn <jlquinn@optonline.net>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: singularity: Fails to run, claiming no audio
Date: Sat, 21 Oct 2006 14:38:07 -0400
Package: singularity
Version: 0.25-1
Severity: important

Installing and runing gives the following:

jlquinn@smaug:~$ singularity
Traceback (most recent call last):
  File "singularity.py", line 144, in ?
    g.load_sounds()
  File "/usr/share/games/singularity/code/g.py", line 116, in load_sounds
    pygame.mixer.init()
pygame.error: No available audio device


I have alsa installed.  I run gnome, but there's no sound server running.
Other apps can play sound, so sound works on my machine.  Only this one breaks.



-- System Information:
Debian Release: testing/unstable
  APT prefers testing
  APT policy: (990, 'testing'), (500, 'unstable'), (500, 'stable')
Architecture: i386 (i686)
Shell:  /bin/sh linked to /bin/bash
Kernel: Linux 2.6.17-1-k7
Locale: LANG=C, LC_CTYPE=C (charmap=ANSI_X3.4-1968)

Versions of packages singularity depends on:
ii  python                    2.4.3-11       An interactive high-level object-o
ii  python-pygame             1.7.1release-4 SDL bindings for games development
ii  python-support            0.5.4          automated rebuilding support for p
ii  singularity-data          0.25-1         game data for singularity
ii  ttf-bitstream-vera        1.10-7         The Bitstream Vera family of free 

singularity recommends no packages.

-- no debconf information



Information forwarded to debian-bugs-dist@lists.debian.org, Kari Pahula <kaol@debian.org>:
Bug#394484; Package singularity. Full text and rfc822 format available.

Acknowledgement sent to Ana Guerrero <ana@ekaia.org>:
Extra info received and forwarded to list. Copy sent to Kari Pahula <kaol@debian.org>. Full text and rfc822 format available.

Message #10 received at 394484@bugs.debian.org (full text, mbox):

From: Ana Guerrero <ana@ekaia.org>
To: Jerry Quinn <jlquinn@optonline.net>
Cc: 394484@bugs.debian.org, control@bugs.debian.org
Subject: Re: singularity: Fails to run, claiming no audio
Date: Sat, 28 Oct 2006 20:58:52 +0200
reassign 394484 python-pygame
thanks

Hi Jerry,

On Sat, Oct 21, 2006 at 02:38:07PM -0400, Jerry Quinn wrote:
> Package: singularity
> Version: 0.25-1
> Severity: important
> 
> Installing and runing gives the following:
> 
> jlquinn@smaug:~$ singularity
> Traceback (most recent call last):
>   File "singularity.py", line 144, in ?
>     g.load_sounds()
>   File "/usr/share/games/singularity/code/g.py", line 116, in load_sounds
>     pygame.mixer.init()
> pygame.error: No available audio device
> 
> 
> I have alsa installed.  I run gnome, but there's no sound server running.
> Other apps can play sound, so sound works on my machine.  Only this one breaks.
>  

Thanks for you bug report, this seem be a python-pygame's bug, so 
i'm reassigning it.
In case you have more information or the bug has been fixed,
please tell us!

Ana




Bug reassigned from package `singularity' to `python-pygame'. Request was from Ana Guerrero <ana@ekaia.org> to control@bugs.debian.org. Full text and rfc822 format available.

Merged 394484 426984 431833. Request was from Matthew Johnson <debian@matthew.ath.cx> to control@bugs.debian.org. (Mon, 23 Jul 2007 17:45:14 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Ed Boraas <ed@debian.org>:
Bug#394484; Package python-pygame. Full text and rfc822 format available.

Acknowledgement sent to Joey Hess <joeyh@debian.org>:
Extra info received and forwarded to list. Copy sent to Ed Boraas <ed@debian.org>. Full text and rfc822 format available.

Message #19 received at 394484@bugs.debian.org (full text, mbox):

From: Joey Hess <joeyh@debian.org>
To: 394484@bugs.debian.org
Subject: aoss
Date: Tue, 4 Sep 2007 18:57:32 -0400
[Message part 1 (text/plain, inline)]
I can reproduce this easily. I use aoss and then it works. I guess
pygame doesn't use alsa, so the dmix that I use to allow multiple things
to use my sound card doesn't work unless I use aoss.

-- 
see shy jo
[signature.asc (application/pgp-signature, inline)]

Forcibly Merged 394484 426984 431833 434331. Request was from Gonéri Le Bouder <goneri@rulezlan.org> to control@bugs.debian.org. (Wed, 19 Dec 2007 10:33:03 GMT) Full text and rfc822 format available.

Bug reassigned from package `python-pygame' to `python-pygame'. Request was from Gonéri Le Bouder <goneri@rulezlan.org> to control@bugs.debian.org. (Thu, 20 Dec 2007 18:33:04 GMT) Full text and rfc822 format available.

Forcibly Merged 394484 426984 431833 434331. Request was from Gonéri Le Bouder <goneri@rulezlan.org> to control@bugs.debian.org. (Thu, 20 Dec 2007 18:33:06 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Ed Boraas <ed@debian.org>:
Bug#394484; Package python-pygame. (Mon, 13 Apr 2009 10:57:10 GMT) Full text and rfc822 format available.

Acknowledgement sent to A Mennucc1 <debdev@mennucci.sns.it>:
Extra info received and forwarded to list. Copy sent to Ed Boraas <ed@debian.org>. (Mon, 13 Apr 2009 10:57:11 GMT) Full text and rfc822 format available.

Message #30 received at 394484@bugs.debian.org (full text, mbox):

From: A Mennucc1 <debdev@mennucci.sns.it>
To: 394484@bugs.debian.org
Subject: pygame 1.8.1 and sound
Date: Mon, 13 Apr 2009 12:51:09 +0200
hi

pygame 1.8.1 is available in 'experimental'; I tried most games
(including 'singularity' 'fretsonfire' 'funnyboat') with pygame 1.8.1
and the audio always work

note though a VERY important thing: AFAIK pygame handles audio thru
SDL, so you need to install the package for the SDL audio plugin of
your choice, choosing in the list 
  libsdl1.2debian-alsa
  libsdl1.2debian-arts
  libsdl1.2debian-esd
  libsdl1.2debian-nas
  libsdl1.2debian-oss
  libsdl1.2debian-pulseaudio

a.

ps: I plan to upload 1.8.1 in 'unstable' in short time

-- 
Andrea Mennucc
 "E' un mondo difficile. Che vita intensa!" (Tonino Carotone)




Tags added: moreinfo Request was from A Mennucc1 <debdev@mennucci.sns.it> to control@bugs.debian.org. (Mon, 13 Apr 2009 10:57:12 GMT) Full text and rfc822 format available.

Reply sent to A Mennucc <mennucc1@debian.org>:
You have taken responsibility. (Sun, 07 Mar 2010 14:54:13 GMT) Full text and rfc822 format available.

Notification sent to Jerry Quinn <jlquinn@optonline.net>:
Bug acknowledged by developer. (Sun, 07 Mar 2010 14:54:13 GMT) Full text and rfc822 format available.

Message #37 received at 394484-done@bugs.debian.org (full text, mbox):

From: A Mennucc <mennucc1@debian.org>
To: 394484-done@bugs.debian.org
Subject: pygame sound,
Date: Sun, 07 Mar 2010 15:52:49 +0100
-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

hi,

seems that most problems reported wrt pygame and audio, are due to not
having the correct libsdl library installed

a.
-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)
Comment: Using GnuPG with Mozilla - http://enigmail.mozdev.org/

iEYEARECAAYFAkuTvb8ACgkQ9B/tjjP8QKTKlACgjSplMEQSnXDJ/yS9gjwnLyoJ
j/oAn3vAOuln2hzsKc7Ra+bu4KVEYhA8
=1XOB
-----END PGP SIGNATURE-----




Reply sent to A Mennucc <mennucc1@debian.org>:
You have taken responsibility. (Sun, 07 Mar 2010 14:54:14 GMT) Full text and rfc822 format available.

Notification sent to Joey Hess <joeyh@debian.org>:
Bug acknowledged by developer. (Sun, 07 Mar 2010 14:54:14 GMT) Full text and rfc822 format available.

Reply sent to A Mennucc <mennucc1@debian.org>:
You have taken responsibility. (Sun, 07 Mar 2010 14:54:14 GMT) Full text and rfc822 format available.

Notification sent to martin f krafft <madduck@debian.org>:
Bug acknowledged by developer. (Sun, 07 Mar 2010 14:54:14 GMT) Full text and rfc822 format available.

Reply sent to A Mennucc <mennucc1@debian.org>:
You have taken responsibility. (Sun, 07 Mar 2010 14:54:15 GMT) Full text and rfc822 format available.

Notification sent to Damyan Ivanov <dmn@debian.org>:
Bug acknowledged by developer. (Sun, 07 Mar 2010 14:54:15 GMT) Full text and rfc822 format available.

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 05 Apr 2010 07:35:33 GMT) Full text and rfc822 format available.

Bug unarchived. Request was from Vincent Bernat <bernat@debian.org> to control@bugs.debian.org. (Sat, 17 Jul 2010 09:09:03 GMT) Full text and rfc822 format available.

Bug archived. Request was from Vincent Bernat <bernat@debian.org> to control@bugs.debian.org. (Sat, 17 Jul 2010 09:09:04 GMT) Full text and rfc822 format available.

Bug unarchived. Request was from Vincent Bernat <bernat@debian.org> to control@bugs.debian.org. (Sat, 17 Jul 2010 09:51:11 GMT) Full text and rfc822 format available.

Forcibly Merged 394484 426984 431833 434331 537663. Request was from Vincent Bernat <bernat@debian.org> to control@bugs.debian.org. (Sat, 17 Jul 2010 09:51:13 GMT) Full text and rfc822 format available.

Bug archived. Request was from Vincent Bernat <bernat@debian.org> to control@bugs.debian.org. (Sat, 17 Jul 2010 09:51:15 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Mon Apr 21 16:48:21 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.